Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class StudyTool

    java.lang.Object
      org.crosswire.jsword.book.StudyTool

    public class StudyTool

extends Object

StudyTool is-an extension to Bible that knows about the original Greek/Hebrew in the form of Strongs numbers.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: StudyTool.java,v 1.12 2005/03/06 20:21:47 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`protected static Logger` | `log` The log stream

Constructor Summary
`StudyTool()`

Method Summary
`Collection` | `getTranslations(Book bible, String word)` StudyTool: For a given word find a list words it is translated from
`Collection` | `getTranslations(Book bible, Strongs number)` StudyTool: For a given number find a list of ways it is translated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Logger log

  The log stream

Constructor Detail

### StudyTool

    public StudyTool()

Method Detail

### getTranslations

    public Collection getTranslations(Book bible,
                                      String word)
                               throws BookException

  StudyTool: For a given word find a list words it is translated from

  Parameters:
    `word` - The text to search for
  Returns:
    The source numbers of that word
  Throws:
    `BookException`

### getTranslations

    public Collection getTranslations(Book bible,
                                      Strongs number)
                               throws BookException

  StudyTool: For a given number find a list of ways it is translated

  Parameters:
    `number` - The strongs number to search for
  Returns:
    The words that the number is translated to
  Throws:
    `BookException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD